dab_ofdm_coarse_frequency_correct Class Reference

Corrects coarse frequency offset in the frequency spectrum. More...

`#include <dab_ofdm_coarse_frequency_correct.h>`

Inheritance diagram for dab_ofdm_coarse_frequency_correct:
[legend]

## Public Member Functions

int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_ofdm_coarse_frequency_correct_sptr | dab_make_ofdm_coarse_frequency_correct (unsigned int fft_length, unsigned int num_carriers)

## Detailed Description

Corrects coarse frequency offset in the frequency spectrum.

Parameters

  fft_length | total number of fft bins
  num_carriers | number of carriers with OFDM symbols, not including the zero carrier

This block detects where the signal is (coarse frequency offset) by looking at the energy and returns only the carriers containing information (i.e. it removes the zeros on the left, the zeros on the right and the one zero carrier in the middle).

## Member Function Documentation

## work()

int dab_ofdm_coarse_frequency_correct::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_ofdm_coarse_frequency_correct

dab_ofdm_coarse_frequency_correct_sptr dab_make_ofdm_coarse_frequency_correct | ( | unsigned int | fft_length,
|  | unsigned int | num_carriers )

friend

The documentation for this class was generated from the following file:

- dab_ofdm_coarse_frequency_correct.h